import React from 'react'

class EmailList extends React.Component {
  render () {
    const filtered = this.props.filtered
    const players = this.props.players

    const emailList = []
    filtered.forEach((match, key) => {
      const player = players.find(player => 
        (player.name === match.Spieler1) && (player.Konkurrenz === match.Konkurrenz)
      )
      if (!emailList.includes(player.Email)) {
        emailList.push(player.Email)
      }
    })

    return (
      <div>
        <h2>Email Adressen</h2>
        <p>{emailList.join('; ')}</p>
      </div>
    )
  }
}

export default EmailList
