import React from 'react'

class PhoneList extends React.Component {
  render () {
    const filtered = this.props.filtered
    const players = this.props.players

    const phoneList = []
    filtered.forEach((match, key) => {
        const player = players.find(player => 
            (player.name === match.Spieler1) && (player.Konkurrenz === match.Konkurrenz)
        )
        if (!phoneList.includes(player.phone)) {
            phoneList.push(player.phone)
        }
    })

    return (
      <div>
        <h2>Telefonnummern</h2>
        <p>{phoneList.join('; ')}</p>
      </div>
    )
  }
}

export default PhoneList
